Subject: Re: [bug#32095] [PATCH 2/2] gnu: node: Update to 10.6.0.

From: Marius Bakke <[email-masked]>
Date: Wed, 26 Sep 2018 00:45:26 +0200

Mathieu Lirzin <[email-masked]> writes:

> Marius Bakke <[email-masked]> writes:
>
>> I managed to build Node LTS on 'core-updates' with this patch:
>>
>> From 9556fc13a77d2619cfd1e861f0269bccf0a58986 Mon Sep 17 00:00:00 2001
>> From: Marius Bakke <[email-masked]>
>> Date: Sun, 23 Sep 2018 13:12:23 +0200
>> Subject: [PATCH] gnu: Add Node LTS.
>>
>> * gnu/packages/libevent.scm (libuv-1.19): New public variable.
>> * gnu/packages/node.scm (node)[arguments]: Adjust 'patch-files' phase to
>> ignore missing files.
>> (node-lts): New public variable.
>> ---
>>  gnu/packages/libevent.scm | 13 +++++++++++++
>>  gnu/packages/node.scm     | 30 +++++++++++++++++++++++++++---
>>  2 files changed, 40 insertions(+), 3 deletions(-)
>
> Excellent! The patch looks good to me.

It turned out the OpenSSL related test failure when I first tried this
on 'master' was due to recently expired TLS certificates, and not
due to a difference in OpenSSL version on 'core-updates'.

So I pushed another patch to disable tests that require valid TLS
certificates (it also caused the current Node package to FTBFS), and
then the Node LTS patch to 'master'.

Thanks for the review!